Bug 199875 - check_ntpd does not work with current ntp
check_ntpd does not work with current ntp
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: nagios-plugins (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mike McGrath
Fedora Extras Quality Assurance
http://sourceforge.net/tracker/index....
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-23 15:12 EDT by Roy-Magne Mo
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-16 05:41:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to remove the offending line in check_ntpd (268 bytes, patch)
2006-07-23 15:12 EDT, Roy-Magne Mo
no flags Details | Diff
patch for spec file (529 bytes, patch)
2006-07-23 15:15 EDT, Roy-Magne Mo
no flags Details | Diff

  None (edit)
Description Roy-Magne Mo 2006-07-23 15:12:01 EDT
Description of problem:
check_ntpd has a bug which is triggered by a header included in current ntpq
command, a line needs to be removed in the perl code. 

Version-Release number of selected component (if applicable):
nagios-plugins-1.4.3-12

How reproducible:
always

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

two patches included
Comment 1 Roy-Magne Mo 2006-07-23 15:12:02 EDT
Created attachment 132885 [details]
patch to remove the offending line in check_ntpd
Comment 2 Roy-Magne Mo 2006-07-23 15:15:00 EDT
Created attachment 132886 [details]
patch for spec file
Comment 3 Mike McGrath 2006-08-09 23:52:05 EDT
This has been added and is currently being built for devel
Comment 4 Mike McGrath 2006-08-15 23:03:57 EDT
Let me know if this bug is still happening.  If not, go ahead and close the bug.
Comment 5 Roy-Magne Mo 2006-08-16 05:41:07 EDT
(In reply to comment #4)
> Let me know if this bug is still happening.  If not, go ahead and close the bug.

Fix has remedied the problem, closing the bug. 

Note You need to log in before you can comment on or make changes to this bug.